<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version = "1.0" exclude-result-prefixes = "h unicode"
   xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
   xmlns:mml = "http://www.w3.org/1998/Math/MathML"
   xmlns:h   = "http://www.w3.org/1999/xhtml"

   xmlns:unicode = "http://www.unicode.org/3"
>
   <h:h3>U+02150: Number Forms</h:h3>

   <!-- consistant rendering of fractions -->
   <unicode:entry ver = "3.0" value = "&#x2153;" font = "MS Mincho"      ><sup>1</sup>/<sub>3</sub></unicode:entry> <!-- vulgar fraction 1/3 -->
   <unicode:entry ver = "3.0" value = "&#x2154;" font = "MS Mincho"      ><sup>2</sup>/<sub>3</sub></unicode:entry> <!-- vulgar fraction 2/3 -->
   <unicode:entry ver = "3.0" value = "&#x2155;" font = "MS Mincho"      ><sup>1</sup>/<sub>5</sub></unicode:entry> <!-- vulgar fraction 1/5 -->
   <unicode:entry ver = "3.0" value = "&#x2156;" font = "MS Mincho"      ><sup>2</sup>/<sub>5</sub></unicode:entry> <!-- vulgar fraction 2/5 -->
   <unicode:entry ver = "3.0" value = "&#x2157;" font = "MS Mincho"      ><sup>3</sup>/<sub>5</sub></unicode:entry> <!-- vulgar fraction 3/5 -->
   <unicode:entry ver = "3.0" value = "&#x2158;" font = "MS Mincho"      ><sup>4</sup>/<sub>5</sub></unicode:entry> <!-- vulgar fraction 4/5 -->
   <unicode:entry ver = "3.0" value = "&#x2159;" font = "MS Mincho"      ><sup>1</sup>/<sub>6</sub></unicode:entry> <!-- vulgar fraction 1/6 -->
   <unicode:entry ver = "3.0" value = "&#x215A;" font = "MS Mincho"      ><sup>5</sup>/<sub>6</sub></unicode:entry> <!-- vulgar fraction 5/6 -->
   <unicode:entry ver = "3.0" value = "&#x215B;" font = "MS Mincho"      ><sup>1</sup>/<sub>8</sub></unicode:entry> <!-- vulgar fraction 1/8 -->
   <unicode:entry ver = "3.0" value = "&#x215C;" font = "MS Mincho"      ><sup>3</sup>/<sub>8</sub></unicode:entry> <!-- vulgar fraction 3/8 -->
   <unicode:entry ver = "3.0" value = "&#x215D;" font = "MS Mincho"      ><sup>5</sup>/<sub>8</sub></unicode:entry> <!-- vulgar fraction 5/8 -->
   <unicode:entry ver = "3.0" value = "&#x215E;" font = "MS Mincho"      ><sup>7</sup>/<sub>8</sub></unicode:entry> <!-- vulgar fraction 7/8 -->
   <unicode:entry ver = "3.0" value = "&#x215F;" font = "MS Mincho"      ><sup>1</sup>/</unicode:entry> <!-- fraction numerator 1 -->

   <unicode:entry ver = "3.0" value = "&#x2160;" font = "MS Mincho"      >&#x2160;</unicode:entry> <!-- roman numeral 1 -->
   <unicode:entry ver = "3.0" value = "&#x2161;" font = "MS Mincho"      >&#x2161;</unicode:entry> <!-- roman numeral 2 -->
   <unicode:entry ver = "3.0" value = "&#x2162;" font = "MS Mincho"      >&#x2162;</unicode:entry> <!-- roman numeral 3 -->
   <unicode:entry ver = "3.0" value = "&#x2163;" font = "MS Mincho"      >&#x2163;</unicode:entry> <!-- roman numeral 4 -->
   <unicode:entry ver = "3.0" value = "&#x2164;" font = "MS Mincho"      >&#x2164;</unicode:entry> <!-- roman numeral 5 -->
   <unicode:entry ver = "3.0" value = "&#x2165;" font = "MS Mincho"      >&#x2165;</unicode:entry> <!-- roman numeral 6 -->
   <unicode:entry ver = "3.0" value = "&#x2166;" font = "MS Mincho"      >&#x2166;</unicode:entry> <!-- roman numeral 7 -->
   <unicode:entry ver = "3.0" value = "&#x2167;" font = "MS Mincho"      >&#x2167;</unicode:entry> <!-- roman numeral 8 -->
   <unicode:entry ver = "3.0" value = "&#x2168;" font = "MS Mincho"      >&#x2168;</unicode:entry> <!-- roman numeral 9 -->
   <unicode:entry ver = "3.0" value = "&#x2169;" font = "MS Mincho"      >&#x2169;</unicode:entry> <!-- roman numeral 10 -->
   <unicode:entry ver = "3.0" value = "&#x216A;" font = "MS Mincho"      >&#x216A;</unicode:entry> <!-- roman numeral 11 -->
   <unicode:entry ver = "3.0" value = "&#x216B;" font = "MS Mincho"      >&#x216B;</unicode:entry> <!-- roman numeral 12 -->
   <unicode:entry ver = "3.0" value = "&#x216C;" font = "MS Mincho"      >&#x216C;</unicode:entry> <!-- roman numeral 50 -->
   <unicode:entry ver = "3.0" value = "&#x216D;" font = "MS Mincho"      >&#x216D;</unicode:entry> <!-- roman numeral 100 -->
   <unicode:entry ver = "3.0" value = "&#x216E;" font = "MS Mincho"      >&#x216E;</unicode:entry> <!-- roman numeral 500 -->
   <unicode:entry ver = "3.0" value = "&#x216F;" font = "MS Mincho"      >&#x216F;</unicode:entry> <!-- roman numeral 1000 -->

   <unicode:entry ver = "3.0" value = "&#x2170;" font = "MS Mincho"      >&#x2170;</unicode:entry> <!-- small roman numeral 1 -->
   <unicode:entry ver = "3.0" value = "&#x2171;" font = "MS Mincho"      >&#x2171;</unicode:entry> <!-- small roman numeral 2 -->
   <unicode:entry ver = "3.0" value = "&#x2172;" font = "MS Mincho"      >&#x2172;</unicode:entry> <!-- small roman numeral 3 -->
   <unicode:entry ver = "3.0" value = "&#x2173;" font = "MS Mincho"      >&#x2173;</unicode:entry> <!-- small roman numeral 4 -->
   <unicode:entry ver = "3.0" value = "&#x2174;" font = "MS Mincho"      >&#x2174;</unicode:entry> <!-- small roman numeral 5 -->
   <unicode:entry ver = "3.0" value = "&#x2175;" font = "MS Mincho"      >&#x2175;</unicode:entry> <!-- small roman numeral 6 -->
   <unicode:entry ver = "3.0" value = "&#x2176;" font = "MS Mincho"      >&#x2176;</unicode:entry> <!-- small roman numeral 7 -->
   <unicode:entry ver = "3.0" value = "&#x2177;" font = "MS Mincho"      >&#x2177;</unicode:entry> <!-- small roman numeral 8 -->
   <unicode:entry ver = "3.0" value = "&#x2178;" font = "MS Mincho"      >&#x2178;</unicode:entry> <!-- small roman numeral 9 -->
   <unicode:entry ver = "3.0" value = "&#x2179;" font = "MS Mincho"      >&#x2179;</unicode:entry> <!-- small roman numeral 10 -->
   <unicode:entry ver = "3.0" value = "&#x217A;" font = "MS Mincho"      >&#x217A;</unicode:entry> <!-- small roman numeral 11 -->
   <unicode:entry ver = "3.0" value = "&#x217B;" font = "MS Mincho"      >&#x217B;</unicode:entry> <!-- small roman numeral 12 -->
   <unicode:entry ver = "3.0" value = "&#x217C;" font = "MS Mincho"      >&#x217C;</unicode:entry> <!-- small roman numeral 50 -->
   <unicode:entry ver = "3.0" value = "&#x217D;" font = "MS Mincho"      >&#x217D;</unicode:entry> <!-- small roman numeral 100 -->
   <unicode:entry ver = "3.0" value = "&#x217E;" font = "MS Mincho"      >&#x217E;</unicode:entry> <!-- small roman numeral 500 -->
   <unicode:entry ver = "3.0" value = "&#x217F;" font = "MS Mincho"      >&#x217F;</unicode:entry> <!-- small roman numeral 1000 -->

   <unicode:entry ver = "3.0" value = "&#x2180;" font = "MS Mincho"      >&#x2180;</unicode:entry> <!-- roman numeral 1 000 -->
   <unicode:entry ver = "3.0" value = "&#x2181;" font = "MS Mincho"      >&#x2181;</unicode:entry> <!-- roman numeral 5 000 -->
   <unicode:entry ver = "3.0" value = "&#x2182;" font = "MS Mincho"      >&#x2182;</unicode:entry> <!-- roman numeral 10 000 -->
   <unicode:entry ver = "3.0" value = "&#x2183;" font = "MS Mincho"      >&#x2183;</unicode:entry> <!-- roman numeral reversed 100 -->
</xsl:stylesheet>
