<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version = "1.0" exclude-result-prefixes = "h unicode"
   xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
   xmlns:mml = "http://www.w3.org/1998/Math/MathML"
   xmlns:h   = "http://www.w3.org/1999/xhtml"

   xmlns:unicode = "http://www.unicode.org/3"
>
   <h:h2>unicode table</h:h2>
   <h:p>
      The unicode table is designed to map unicode entities to a rendering that is representable
      on the target machine. It is designed to be a pluggable component that will allow alternate
      renderings to be used in its place. The overall structure reflects the entries in the
      unicode 3.0 reference tables.
   </h:p>

   <unicode:tables>
      <unicode:mapping u = "00000" desc = "C0/C1 Controls, Basic Latin, Latin 1 Supplement" status = "partial"/>
      <unicode:mapping u = "00300" desc = "Combining Diacritical Marks"                     status = "partial"/>
      <unicode:mapping u = "00370" desc = "Greek And Copic"                                 status = "partial"/>
      <unicode:mapping u = "02000" desc = "General Punctuation"                             status = "partial"/>
      <unicode:mapping u = "02100" desc = "LetterLike Symbols"                              status = "complete"/>
      <unicode:mapping u = "02150" desc = "Number Forms"                                    status = "complete"/>
      <unicode:mapping u = "02190" desc = "Arrows"                                          status = "complete"/>
      <unicode:mapping u = "02200" desc = "Mathematical Operators"                          status = "complete"/>
      <unicode:mapping u = "02300" desc = "Miscellaneous Technical"                         status = "complete"/>
      <unicode:mapping u = "03000" desc = "CJK Symbols And Punctuation"                     status = "partial"/>
   </unicode:tables>

   <xsl:variable name = "unicode" select = "
      document('U+00000.xsl')/*/unicode:entry
    | document('U+00300.xsl')/*/unicode:entry | document('U+00370.xsl')/*/unicode:entry
    | document('U+02000.xsl')/*/unicode:entry
    | document('U+02100.xsl')/*/unicode:entry | document('U+02150.xsl')/*/unicode:entry | document('U+02190.xsl')/*/unicode:entry
    | document('U+02200.xsl')/*/unicode:entry
    | document('U+02300.xsl')/*/unicode:entry
    | document('U+03000.xsl')/*/unicode:entry
   "/>
</xsl:stylesheet>
